/* tslint:disable */
export class StreamToAsyncIterator {
free(): void;

 next(): any;

}
export class OperationEnvelope {
free(): void;

 epochReplicaId(): any;

 epochTimestamp(): any;

 operation(): Uint8Array;

}
export class WorkTreeNewResult {
free(): void;

 tree(): WorkTree;

 operations(): StreamToAsyncIterator;

}
export class WorkTree {
free(): void;

static  new(arg0: any, arg1: any, arg2: Uint8Array, arg3: any, arg4: any): WorkTreeNewResult;

 reset(arg0: any): StreamToAsyncIterator;

 apply_ops(arg0: any): StreamToAsyncIterator;

 create_file(arg0: string, arg1: any): OperationEnvelope;

 rename(arg0: string, arg1: string): OperationEnvelope;

 remove(arg0: string): OperationEnvelope;

 open_text_file(arg0: string): any;

 text(arg0: any): any;

 edit(arg0: any, arg1: any, arg2: string): OperationEnvelope;

 entries(arg0: any, arg1: boolean): any;

}
